clang 8.0.0

Macros | Functions
bmi2intrin.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("bmi2")))

## Functions
static __inline__ unsigned int __DEFAULT_FN_ATTRS | _bzhi_u32 (unsigned int __X, unsigned int __Y)
static __inline__ unsigned int __DEFAULT_FN_ATTRS | _pdep_u32 (unsigned int __X, unsigned int __Y)
static __inline__ unsigned int __DEFAULT_FN_ATTRS | _pext_u32 (unsigned int __X, unsigned int __Y)
static __inline__ unsigned int __DEFAULT_FN_ATTRS | _mulx_u32 (unsigned int __X, unsigned int __Y, unsigned int *__P)

## Macro Definition Documentation

## ◆ __DEFAULT_FN_ATTRS

#define __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("bmi2")))

Definition at line 32 of file bmi2intrin.h.

Referenced by _bzhi_u32(), _pdep_u32(), and _pext_u32().

## Function Documentation

## ◆ _bzhi_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS _bzhi_u32 | ( | unsigned int | __X,
|  | unsigned int | __Y
| ) |  |
| static

Definition at line 35 of file bmi2intrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ _mulx_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS _mulx_u32 | ( | unsigned int | __X,
|  | unsigned int | __Y,
|  | unsigned int * | __P
| ) |  |
| static

Definition at line 84 of file bmi2intrin.h.

## ◆ _pdep_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS _pdep_u32 | ( | unsigned int | __X,
|  | unsigned int | __Y
| ) |  |
| static

Definition at line 41 of file bmi2intrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ _pext_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS _pext_u32 | ( | unsigned int | __X,
|  | unsigned int | __Y
| ) |  |
| static

Definition at line 47 of file bmi2intrin.h.

References __DEFAULT_FN_ATTRS.